This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1475479 - [RFE] generic remote execution not available from host collection actions
[RFE] generic remote execution not available from host collection actions
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Host Collections (Show other bugs)
6.2.10
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: FieldEngineering, FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-26 14:42 EDT by Chris Duryee
Modified: 2017-08-02 01:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Duryee 2017-07-26 14:42:51 EDT
Description of problem:

Some users use the host collections page to run generic remote execution jobs. However, there is no easy way to do this and you have to go through a circuitous route of selecting package installation via ReX to set this up. If you forget the last step of the circuitous route, you'll end up updating packages on your systems that you meant to run another command on, which can have bad outcomes.

Ideally, the "Collection Actions" page under host collections would have an option for "Run SSH command" to go along with the other four options. This could go to a pre-populated remote execution invocation page that has the hosts filled in, and already has "Run Command - SSH Default" selected.

Note You need to log in before you can comment on or make changes to this bug.